<?php

require_once(dirname(__FILE__).'/option.php');
require_once(dirname(__FILE__).'/postmeta.php');

// ----------------------------------------------------------------------------
// the DiscloseSecret_Cache serves as a cache for the option and postmetas
// ----------------------------------------------------------------------------

class DiscloseSecret_Cache
{
	var $m_option;
	var $m_postmetas = array();

	// ----------------------------------------------------------------------------
	// init
	// ----------------------------------------------------------------------------

	function DiscloseSecret_Cache()
	{
	}

	function &get_option()
	{
		if (!isset($this->m_option))
			$this->m_option = new DiscloseSecret_Option();
		return $this->m_option;
	}

	function &get_postmeta($post_id)
	{
		if (!isset($this->m_postmetas[$post_id]))
			$this->m_postmetas[$post_id] = new DiscloseSecret_PostMeta($post_id, $this->get_option());
		return $this->m_postmetas[$post_id];
	}
}

?>